Loading...
Searching...
No Matches
BALL::VIEW::GridColorWidget Class Reference

`#include <BALL/VIEW/WIDGETS/gridColorWidget.h>`

Inheritance diagram for BALL::VIEW::GridColorWidget:

## Signals

void | autoScaleRequested ()

## Public Member Functions

| GridColorWidget (QWidget *parent)
void | setMinValue (float minValue)
float | getMinValue () const
void | setMidValue (float midValue)
float | getMidValue () const
void | setMaxValue (float maxValue)
float | getMaxValue () const
void | setTransparencyEnabled (bool enabled)
bool | isTransparencyEnabled () const
void | setNormalizationEnabled (bool enabled)
bool | isNormalizationEnabled () const
ColorRGBA | getMinMinColor () const
ColorRGBA | getMinColor () const
ColorRGBA | getMidColor () const
ColorRGBA | getMaxColor () const
ColorRGBA | getMaxMaxColor () const
int | getNumLevels () const

## Protected Slots

void | transparencyToggled (bool enabled)
void | normalizationToggled (bool enabled)
void | validateText (QString str)
void | minMinColorChanged (QColor color)
void | minColorChanged (QColor color)
void | midColorChanged (QColor color)
void | maxColorChanged (QColor color)
void | maxMaxColorChanged (QColor color)
void | minMinAlphaChanged (int value)
void | minAlphaChanged (int value)
void | midAlphaChanged (int value)
void | maxAlphaChanged (int value)
void | maxMaxAlphaChanged (int value)

## Protected Member Functions

void | setTransparency_ (int value, ColorButton *button)
void | setTransparency_ (const QColor &color, QSpinBox *box)

## Protected Attributes

Ui::GridColorWidget | ui

## Detailed Description

Definition at line 10 of file gridColorWidget.h.

## Constructor & Destructor Documentation

## GridColorWidget()

BALL::VIEW::GridColorWidget::GridColorWidget | ( | QWidget * | parent | ) |

## Member Function Documentation

## autoScaleRequested

void BALL::VIEW::GridColorWidget::autoScaleRequested | ( |  | ) |

signal

## getMaxColor()

ColorRGBA BALL::VIEW::GridColorWidget::getMaxColor | ( |  | ) | const

## getMaxMaxColor()

ColorRGBA BALL::VIEW::GridColorWidget::getMaxMaxColor | ( |  | ) | const

## getMaxValue()

float BALL::VIEW::GridColorWidget::getMaxValue | ( |  | ) | const

## getMidColor()

ColorRGBA BALL::VIEW::GridColorWidget::getMidColor | ( |  | ) | const

## getMidValue()

float BALL::VIEW::GridColorWidget::getMidValue | ( |  | ) | const

## getMinColor()

ColorRGBA BALL::VIEW::GridColorWidget::getMinColor | ( |  | ) | const

## getMinMinColor()

ColorRGBA BALL::VIEW::GridColorWidget::getMinMinColor | ( |  | ) | const

## getMinValue()

float BALL::VIEW::GridColorWidget::getMinValue | ( |  | ) | const

## getNumLevels()

int BALL::VIEW::GridColorWidget::getNumLevels | ( |  | ) | const

## isNormalizationEnabled()

bool BALL::VIEW::GridColorWidget::isNormalizationEnabled | ( |  | ) | const

## isTransparencyEnabled()

bool BALL::VIEW::GridColorWidget::isTransparencyEnabled | ( |  | ) | const

## maxAlphaChanged

void BALL::VIEW::GridColorWidget::maxAlphaChanged | ( | int | value | ) |

protected slot

## maxColorChanged

void BALL::VIEW::GridColorWidget::maxColorChanged | ( | QColor | color | ) |

protected slot

## maxMaxAlphaChanged

void BALL::VIEW::GridColorWidget::maxMaxAlphaChanged | ( | int | value | ) |

protected slot

## maxMaxColorChanged

void BALL::VIEW::GridColorWidget::maxMaxColorChanged | ( | QColor | color | ) |

protected slot

## midAlphaChanged

void BALL::VIEW::GridColorWidget::midAlphaChanged | ( | int | value | ) |

protected slot

## midColorChanged

void BALL::VIEW::GridColorWidget::midColorChanged | ( | QColor | color | ) |

protected slot

## minAlphaChanged

void BALL::VIEW::GridColorWidget::minAlphaChanged | ( | int | value | ) |

protected slot

## minColorChanged

void BALL::VIEW::GridColorWidget::minColorChanged | ( | QColor | color | ) |

protected slot

## minMinAlphaChanged

void BALL::VIEW::GridColorWidget::minMinAlphaChanged | ( | int | value | ) |

protected slot

## minMinColorChanged

void BALL::VIEW::GridColorWidget::minMinColorChanged | ( | QColor | color | ) |

protected slot

## normalizationToggled

void BALL::VIEW::GridColorWidget::normalizationToggled | ( | bool | enabled | ) |

protected slot

## setMaxValue()

void BALL::VIEW::GridColorWidget::setMaxValue | ( | float | maxValue | ) |

## setMidValue()

void BALL::VIEW::GridColorWidget::setMidValue | ( | float | midValue | ) |

## setMinValue()

void BALL::VIEW::GridColorWidget::setMinValue | ( | float | minValue | ) |

## setNormalizationEnabled()

void BALL::VIEW::GridColorWidget::setNormalizationEnabled | ( | bool | enabled | ) |

## setTransparency_() [1/2]

void BALL::VIEW::GridColorWidget::setTransparency_ | ( | const QColor & | color,
|  | QSpinBox * | box )

protected

## setTransparency_() [2/2]

void BALL::VIEW::GridColorWidget::setTransparency_ | ( | int | value,
|  | ColorButton * | button )

protected

## setTransparencyEnabled()

void BALL::VIEW::GridColorWidget::setTransparencyEnabled | ( | bool | enabled | ) |

## transparencyToggled

void BALL::VIEW::GridColorWidget::transparencyToggled | ( | bool | enabled | ) |

protected slot

## validateText

void BALL::VIEW::GridColorWidget::validateText | ( | QString | str | ) |

protected slot

## Member Data Documentation

## ui

Ui::GridColorWidget BALL::VIEW::GridColorWidget::ui

protected

Definition at line 64 of file gridColorWidget.h.